function DHtoolPath(DHtoolDir)

%-------------------------------------------------------------------------%
% Goal: Set Matlab directory path for DHtool
%-------------------------------------------------------------------------%     
% USE: DHtoolPath(pwd)
%-------------------------------------------------------------------------%
a=pwd;
        temp=find(a=='/');
        if size(temp,2)>0
            path_data=strcat(pwd,'/Data/');
            joint='/';
        else
            path_data=strcat(pwd,'\Data\');
            joint='\';
        end   

save path_data.mat path_data
save joint_path.mat joint

fprintf('DHtool root directory: %s\n',DHtoolDir);

% Adds the root directory of the DHtool to the user's path
addpath(DHtoolDir);

% Generates a list of the directories below the DHtool.
p = genpath(DHtoolRootPath);

% Adds all of the directories to the user's path and Refreshes the path.
addpath(p);path(path);

versionM = ver('Matlab');
versionNumber = str2num(versionM.Version(1:3));

if versionNumber < 7, error('DHtool-2.0 requires version 7 or higher'); end

return;
